Subject: [JAGNUTS] Aerodynamic

From: "E.A. Driver" <[email-masked]>
Date: Wed, 11 Jun 2008 12:59:31 -0600

Hi Guys,

The new web-based motor magazine - Drivers Republic has just published 
their article on the Aeromax and thier visit to the factory.

http://viewer.zmags.com/showmag.php?mid=gwdqd&preview=1&_x=1#/page2/ 
<http://viewer.zmags.com/showmag.php?mid=gwdqd&preview=1&_x=1#/page2/>

Kind regards
Ed

------------------------------------------------------------------------

<http://www.listbox.com/member/?member_id=1390494&id_secret=103753909-d82fc0> 
	
<http://www.listbox.com>